Bug 995811 - corosync memory leaks when the member nodes stop/start/restart [NEEDINFO]
corosync memory leaks when the member nodes stop/start/restart
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync (Show other bugs)
6.0
ia64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Jan Friesse
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 05:53 EDT by youyun
Modified: 2014-02-13 05:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-13 05:53:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jfriesse: needinfo? (youyunyehe)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 999999 None None None Never

  None (edit)
Description youyun 2013-08-11 05:53:30 EDT
Description of problem:
the corosync memory leaks when the peer node stop/start/restart

Version-Release number of selected component (if applicable):
corosync-1.4.6
REHL6.0

How reproducible:
create one cluster, let one or more members stop/start/restart
then `ps auxf | grep corosync` you will find that the memory is increaments 
every time the other nodes stop/start/restart 

e.g
NODEA
while [ 1 ];do /etc/init.d/corosync restart;done; 

NODEB
ps auxf | grep corosync 

in NODEB, you will find the memory increaments very fast and will not down forever.

Steps to Reproduce:
1. make two nodes cluster
2. let one node stop/start/restart
3. `ps -auxf | grep corosync` to see the node which not stop/start/restart 


Actual results:
the memory which consumed by corosync increaments very fast!

Expected results:
the memory will not leak

Additional info:
Comment 2 Jan Friesse 2013-08-12 02:35:10 EDT
Youyun,
can you please attach corosync.conf? Are there any services using corosync running or it's pure corosync start/stop test? If so, are you sure corosync will really never stop eating memory (so every restart means new allocated memory)? Because if it's not so, it's not a bug (there are structures, which may be filled during lifetime of corosync but they are limited in size).

Also 6.5 capacity is constrained so moving to 6.6.
Comment 3 Jan Friesse 2013-11-13 03:31:14 EST
Youyun,
can you please attach additional files/provide additional informations I've asked in Aug? Otherwise I will probably close this bug, because I'm unable to reproduce it.

Thanks,
  Honza
Comment 4 Jan Friesse 2014-01-06 08:30:07 EST
Youyun,
any news?

Note You need to log in before you can comment on or make changes to this bug.